tys.fitGroups.create()
create(input: FitGroupInput, options?: RequestOptions): Promise<FitGroup>Parameters
Section titled “Parameters”inputFitGroupInputRequiredProperties
namestringRequiredproduct_idsstring[]OptionalProducts to put in the new group (create only).
source_product_idstringOptional"Use the garment of…": the new group takes over this product's garment versions (create only).
optionsRequestOptionsOptionalReturns
Section titled “Returns”Promise<FitGroup>: The fit group.
Example
Section titled “Example”const group = await tys.fitGroups.create({ name: "Basic tee", product_ids: [navy.id, black.id], // colourways that share one garment});group = tys.fit_groups.create(name="Basic tee", product_ids=[navy["id"], black["id"]])curl -X POST https://api.tryyoursize.com/v1/fit_groups \ -H "Authorization: Bearer $TRYYOURSIZE_SECRET_KEY" \ -H "TYS-Version: 2026-10-25" \ -H "Content-Type: application/json" \ -d '{"name":"Basic tee","product_ids":["<product_id>","<product_id>"]}'See also
Section titled “See also”Was this page helpful?
Thank you. We read every answer.